CREATE TABLE cst_db_errors (
    ORA_ERR_NUMBER$              NUMBER        ,
    ORA_ERR_MESG$                VARCHAR2(4000),
    ORA_ERR_ROWID$               UROWID        ,
    ORA_ERR_OPTYP$               VARCHAR2(8)   ,
    ORA_ERR_TAG$                 VARCHAR2(4000),
    TRANSACTION_ID               NUMBER(18, 0) ,
    CMR_PO_DISTRIBUTION_ID       NUMBER(18, 0) ,
    CMR_AP_INVOICE_DIST_ID       NUMBER(18, 0) ,
    CST_INV_TRANSACTION_ID       NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    CMR_RCV_TRANSACTION_ID       NUMBER(18, 0) ,
    TRADE_EVENT_ID               NUMBER(18, 0) ,
    QUARANTINE_STATUS            VARCHAR2(4)   ,
    DEST_TRANSACTION_ID          NUMBER(18, 0) ,
    CST_WORK_ORDER_ID            NUMBER(18, 0) ,
    RESOURCE_TRANSACTION_ID      NUMBER(18, 0) ,
    OPERATION_TRANSACTION_ID     NUMBER(18, 0) ,
    SCENARIO_ROLLUP_HEADER_ID    NUMBER(18, 0) ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ORA_ERR_NUMBER$              NUMBER        ,
    ORA_ERR_MESG$                VARCHAR2(4000),
    ORA_ERR_ROWID$               UROWID        ,
    ORA_ERR_OPTYP$               VARCHAR2(8)   ,
    ORA_ERR_TAG$                 VARCHAR2(4000),
    TRANSACTION_ID               NUMBER(18, 0) ,
    CMR_PO_DISTRIBUTION_ID       NUMBER(18, 0) ,
    CMR_AP_INVOICE_DIST_ID       NUMBER(18, 0) ,
    CST_INV_TRANSACTION_ID       NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    CMR_RCV_TRANSACTION_ID       NUMBER(18, 0) ,
    TRADE_EVENT_ID               NUMBER(18, 0) ,
    QUARANTINE_STATUS            VARCHAR2(4)   ,
    DEST_TRANSACTION_ID          NUMBER(18, 0) ,
    CST_WORK_ORDER_ID            NUMBER(18, 0) ,
    RESOURCE_TRANSACTION_ID      NUMBER(18, 0) ,
    OPERATION_TRANSACTION_ID     NUMBER(18, 0) ,
    SCENARIO_ROLLUP_HEADER_ID    NUMBER(18, 0) ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) 
);
